Redmine - Defect #35090

Permission check of the setting button on the issues page mismatches button semantics
2021-04-14 12:23 - Felix Schéfer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.1.6

Resolution: Fixed Affected version: 4.2.0
Description

In source:/tags/4.2.0/app/views/issues/index.html.erb#L 16 the link goes to the issues tab of the project settings. The button is only
shown if the user has the manage_categories permission but the permission required for this tab is edit_project
source:/tags/4.2.0/app/helpers/projects_helper.rb#L.28

Note that this is only a Ul issue, the button might be shown to users that cannot see the tab that it links to or the button might not be
shown to users that would be able to see the tab that it links too, but upon following the link the correct permission is checked. There
also is no information disclosure associated with this issue.

Related issues:
Related to Redmine - Feature #22090: Make project settings more accessible Closed

Associated revisions

Revision 21357 - 2022-01-10 08:11 - Go MAEDA

Permission check of the setting button on the issues page mismatches button semantics (#35090).

Patch by Takenori TAKAKI.

Revision 21360 - 2022-01-12 15:07 - Go MAEDA
Merged r21357 from trunk to 4.2-stable (#35090).

Revision 21361 - 2022-01-12 15:19 - Go MAEDA
Merged r21357 from trunk to 4.1-stable (#35090).

History

#1 - 2021-04-14 12:26 - Holger Just

- Description updated

#2 - 2021-10-07 06:46 - Takenori TAKAKI
- File fix-35090.patch added

| made a patch to fix & test the issue #35090, and attach it.

#3 - 2021-10-09 08:47 - Go MAEDA
- Related to Feature #22090: Make project settings more accessible added

#4 - 2021-10-09 08:53 - Go MAEDA
- Status changed from New to Confirmed

- Target version setto 4.1.5

Setting the target version to 4.1.5.

#5 - 2021-10-10 03:37 - Go MAEDA

- Target version changed from 4.1.5 to 4.1.6

#6 - 2022-01-10 08:11 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/4.2.0/app/views/issues/index.html.erb#L16
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/4.2.0/app/helpers/projects_helper.rb#L28
https://www.redmine.org/issues/35090

- Subject changed from Permission check mismatches button semantics to Permission check of the setting button on the issues page mismatches

button semantics
- Status changed from Confirmed to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#7 - 2022-01-12 15:19 - Go MAEDA

- Status changed from Resolved to Closed

Files

fix-35090.patch 1.76 KB
